Package com.xebialabs.xlrelease.serialization.json.jackson

# Class DomainIdsSerializer

java.lang.Object
com.fasterxml.jackson.databind.JsonSerializer<List<String>>
com.xebialabs.xlrelease.serialization.json.jackson.DomainIdsSerializer

All Implemented Interfaces:
  `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable`, `DomainIdSerialization`

public class DomainIdsSerializer extends com.fasterxml.jackson.databind.JsonSerializer<List<String>> implements DomainIdSerialization

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

  `com.fasterxml.jackson.databind.JsonSerializer.None`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DomainIdsSerializer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `serialize(List<String> internalIds, com.fasterxml.jackson.core.JsonGenerator jsonGenerator, com.fasterxml.jackson.databind.SerializerProvider provider)`

  ### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

  `acceptJsonFormatVisitor, getDelegatee, handledType, isEmpty, isEmpty, isUnwrappingSerializer, properties, replaceDelegatee, serializeWithType, unwrappingSerializer, usesObjectId, withFilterId, withIgnoredProperties`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.xebialabs.xlrelease.serialization.json.jackson.DomainIdSerialization

  `toInternalId, toViewId`

- ## Constructor Details

  - ### DomainIdsSerializer

    public DomainIdsSerializer()

- ## Method Details

  - ### serialize

    public void serialize(List<String> internalIds, com.fasterxml.jackson.core.JsonGenerator jsonGenerator, com.fasterxml.jackson.databind.SerializerProvider provider) throws IOException
    Specified by:
      `serialize` in class `com.fasterxml.jackson.databind.JsonSerializer<List<String>>`
    Throws:
      `IOException`